
REQUEST DBFCDX
REQUEST DBFFPT
function Main()
   
   local hPairs := AP_PostPairs()
   local cLog := "Start"
   local hData := {=>}	
   local cTemp := ""
   local nSatzNummer := 0
   
   local cIni		:=   hb_GetEnv( "PRGPATH" ) + '.\ini\myini.txt'
   *---------------------------------------------------------- 
   
   h := hb_jsondecode( memoread( cIni ))
   *------------------------------------------------------------------------------
   logline(  "DBF-file",  hb_GetEnv( "PRGPATH" )  + "/" + h[ 'dbf_file' ] )
   
   USE (  hb_GetEnv( "PRGPATH" ) + "\" + h[ 'dbf_file' ] ) SHARED NEW
   
  nSatzNummer := val( hPairs[ "RECNO" ] )
  DbGoTo( nSatzNummer )

   if RLock()
      field->FIRST  := convertXML(ALLTRIM( STRTRAN(hPairs[ "FIRST" ], "+", " ") ))
      field->LAST  := convertXML(ALLTRIM( STRTRAN(hPairs[ "LAST" ], "+", " ") ))
      field->ADDRESS1  := convertXML(ALLTRIM( STRTRAN(hPairs[ "ADDRESS1" ], "+", " ") ))
      field->ADDRESS2  := convertXML(ALLTRIM( STRTRAN(hPairs[ "ADDRESS2" ], "+", " ") ))
      field->ZIPCODE  := convertXML(ALLTRIM( STRTRAN(hPairs[ "ZIPCODE" ], "+", " ") ))
      field->CITY  := convertXML(ALLTRIM( STRTRAN(hPairs[ "CITY" ], "+", " ") ))
      field->PHONE  := convertXML(ALLTRIM( STRTRAN(hPairs[ "PHONE" ], "+", " ") ))
      field->EMAIL  := convertXML(ALLTRIM( STRTRAN(hPairs[ "EMAIL" ], "+", " ") ))
      
      DbUnLock()
   endif
   
   USE 
   
   hData['success'] := 'true'
   hData[ 'posted' ] := 'Data Was Posted Successfully' 
   
   //AP_SetContentType( "application/json" )
   ?? hb_jsonEncode( hData, .T. )
return nil

//----------------------------------------------------------------------------//
// function Myctod(cDate)
//----------------------------------------------------------------------------//

function Myctod(cDate)
   local dDate := date()
   //cDateString A character date in format "yyyy-mm-dd"
   
   dDate := ctod( substr(   cDate, 9,2 ) + "." + substr(  cDate,  6,2 ) + "." +  substr(  cDate,  1,4 ) )
   
return ( dDate) 


//----------------------------------------------------------------------------//

function convertXML( cVData )
   local I := 0
   *----------------------------------------------------------
   
   cVData  :=  STRTRAN(cVData, "%C3%A4", chr(228)   )
   cVData  :=  STRTRAN(cVData, "%C3%B6", chr(246)   )
   cVData  :=  STRTRAN(cVData, "%C3%BC", chr(252)   )
   
   
   cVData  :=  STRTRAN(cVData, "%C3%84", chr(196)   )
   cVData  :=  STRTRAN(cVData, "%C3%96", chr(214)   )
   cVData  :=  STRTRAN(cVData, "%C3%9C", chr(220) )
   
   cVData  :=  STRTRAN(cVData, "%C3%9F", chr(223) )
   
return (cVData)
*----------------------------------------------------------

INIT PROCEDURE PrgInit
   
   SET CENTURY ON
   SET EPOCH TO YEAR(DATE())-98
   
   SET DELETED ON
   SET EXCLUSIVE OFF
   
   REQUEST HB_Lang_DE
   
   HB_LangSelect("DE")
   
   SET DATE TO GERMAN
   
   rddsetdefault( "DBFCDX" )
   
   EXTERN DESCEND
   
RETURN
//----------------------------------------------------------------------------//

function logline( cText, cWert )
   local cLogfile := hb_GetEnv( "PRGPATH" ) + "/log.txt" 
   local cLog

   cLog := memoread( cLogfile )
   
   if VALTYPE(cText) = "U"
      cText := ""
   endif  
   if VALTYPE(cWert) = "U"
      cWert := ""
   endif  
   cLog   +=  ALLTRIM( str(procline(1)) ) + "    "  + PadR( cText, 60 ) + ":  " + cWert + CRLF
   
   MEMOWRIT( cLogfile , cLog, .f. ) 
   
return nil
//----------------------------------------------------------------------------//